# Uses of Class
org.eclipse.ecf.core.sharedobject.util.QueueException

Packages that use QueueException
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.core.sharedobject.util
org.eclipse.ecf.provider.generic

## Uses of QueueException in org.eclipse.ecf.core.sharedobject

Methods in org.eclipse.ecf.core.sharedobject that throw QueueException
Modifier and Type
Method
Description
`void`
ISharedObjectConnector.`enqueue(ISharedObjectEvent event)`
Enqueue an ISharedObjectEvent to all the receivers for connector
`void`
ISharedObjectConnector.`enqueue(ISharedObjectEvent[] events)`
Enqueue a set of ISharedObjectEvents to all the receivers for connector

## Uses of QueueException in org.eclipse.ecf.core.sharedobject.util

Methods in org.eclipse.ecf.core.sharedobject.util that throw QueueException
Modifier and Type
Method
Description
`void`
IQueueEnqueue.`enqueue(Event event)`
Enqueue a given Event onto the underlying queue
`void`
IQueueEnqueue.`enqueue(Event[] events)`
Enqueue a set of events Event onto the underlying queue
`void`
QueueEnqueueImpl.`enqueue(Event element)`
`void`
QueueEnqueueImpl.`enqueue(Event[] elements)`
`Object`
IQueueEnqueue.`enqueue_prepare(Event[] events)`
Prepare an enqueue of a set of Event instances.
`Object`
QueueEnqueueImpl.`enqueue_prepare(Event[] elements)`

## Uses of QueueException in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic that throw QueueException
Modifier and Type
Method
Description
`void`
SOConnector.`enqueue(ISharedObjectEvent event)`
`void`
SOConnector.`enqueue(ISharedObjectEvent[] events)`
`protected void`
SOConnector.`fireEvent(ISharedObjectEvent event)`
`protected void`
SOConnector.`fireEvents(ISharedObjectEvent[] event)`